﻿html,
body {
    height: 100%;
    width: 100%;
    margin: 0;
    text-align: center;
    background-size: cover;

    font-family: 'Segoe UI', Arial, sans-serif;
    line-height: 1.42857143;
}

body:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -0.25em;
}

@media only screen and (max-width:600px) {
    body:before {
        height: 0%;
    }
}

@media only screen and (max-width: 1024px) {
    .body {
        background-image: none !important;
    }
}

.content {
    display: inline-block;
    vertical-align: middle;
    width: 300px;
    background-color: rgba(255, 255, 255, 0.99);
    padding: 20px 30px;
    border-color: #4b4b4b;
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-radius: 4px 4px 4px 4px;
    -webkit-box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
}

@media only screen and (max-width:600px) {
    .content {
        width:100%;
        border: none;
        box-shadow: none;
        border-radius: 0px;
    }
}

.content .header {
    margin-bottom: 20px;
}

.content .header img {
    width: 80%;
}

/* Form */
.form-group {
    text-align: left;
}

label.form-title {
    display: block;
    margin-bottom: 4px;
    margin-top: 7px;
    padding-left: 4px;
    font-size: 0.9rem;
    color: #4b4b4b;
}

input.form-control {
    background-color: transparent;
    width: 100%;
    display: block;
    box-sizing: border-box;
    border: 1px solid #BABABA;
    height: 28px;
    font-size: 1em;
    padding: 0 3px;
    margin: 0;
}

input.form-control.has-error {
    border: 1px solid #dc3545;
}

input.form-control.password {
    width: calc(100% - 30px);
    display:inline-block;
}

.password-revealer {
    background-color: transparent;
    width: 18px;
    height: 28px;
    padding: 0 3px;
    margin: 0;
    display: inline-block;
}

span.form-control-error {
    color: #dc3545;
}

.buttons {
    margin-top: 12px;
}

.button {
    border: 0 solid white;
    min-width: 90px;
    padding: 5px 8px;
    cursor: pointer;
}

.button:disabled {
    background-color: #75c5ff !important;
    cursor: not-allowed;
}

.button.wide {
    width: 100%;
}

.button.is-primary {
    background-color: #0094ff;
    color: white;
}

.button.is-primary:hover {
    background-color: #007cd6;
}

input.form-control {
    border-color: #C0C0C0;
    border-style: none none solid none;
    border-width: 1px;
}

input.form-control:disabled {
    background-color: #dddddd;
}

/* Checkbox */
/* https://medium.com/claritydesignsystem/pure-css-accessible-checkboxes-and-radios-buttons-54063e759bb3 */

.checkbox input[type="checkbox"] {
    width: 0px;
    margin: 0;
    opacity: 0;
}

.checkbox label {
    position: relative;
    display: inline-block;
    /*16px width of fake checkbox + 6px distance between fake checkbox and text*/
    padding-left: 22px;
}

.checkbox label:hover::before {
    color: #a7a7a7;
}

.checkbox label::before,
.checkbox label::after {
    position: absolute;
    content: "";
    /*Needed for the line-height to take effect*/
    display: inline-block;
}

/*Outer box of the fake checkbox*/
.checkbox label::before {
    height: 16px;
    width: 16px;
    border: 1px solid;
    left: 0px;
    /*(24px line-height - 16px height of fake checkbox) / 2 - 1px for the border
 *to vertically center it.
 */
    top: 3px;
}

/*Checkmark of the fake checkbox*/
.checkbox label::after {
    height: 5px;
    width: 9px;
    border-left: 2px solid;
    border-bottom: 2px solid;
    transform: rotate(-45deg);
    left: 4px;
    top: 7px;
}

/*Hide the checkmark by default*/
.checkbox input[type="checkbox"] + label::after {
    content: none;
}

/*Unhide on the checked state*/
.checkbox input[type="checkbox"]:checked + label::after {
    content: "";
}

/*Adding focus styles on the outer-box of the fake checkbox*/
.checkbox input[type="checkbox"]:focus + label::before {
    outline: rgb(59, 153, 252) auto 5px;
}


.text-danger {
    color: #dc3545 !important;
}